Skip to content

Get a single blueprint-instance by id

GET
/blueprint-instances/{id}
id
required
string

DocumentId

OK

object
data
object
blueprint
required
One of:

DocumentId reference to api::blueprint.blueprint

string
param_values
required

Resolved parameter values used when rendering the blueprint template, e.g. {“region”: “eu-central-1”, “size”: “cx21”}.

status
required
string
Allowed values: pending provisioning ready failed destroyed deployed
cloud_instance
One of:

DocumentId reference to api::cloud-instance.cloud-instance

string
organisation
required
One of:

DocumentId reference to api::organisation.organisation

string
deployed_by
One of:

DocumentId reference to plugin::users-permissions.user

string
deployed_at
string format: date-time
notes
string
resources

Per-resource progress array: [{resource_id, resource_type, name, status: ‘pending’|‘provisioning’|‘ready’|‘failed’, provider, region, cost_estimate_usd, error_msg?}]

total_cost_estimate_usd

Sum of all resource cost estimates in USD/month.

number
resource_count

Total number of resources in this blueprint instance.

integer
resources_ready

Number of resources in ‘ready’ state.

integer
resources_failed

Number of resources in ‘failed’ state.

integer
progress_pct

(ready + failed) / resource_count * 100

integer
documentId
string
id
integer
createdAt
string format: date-time
updatedAt
string format: date-time
publishedAt
string format: date-time
nullable

Missing or invalid authentication

Not authorized (tenant scope or capability)

Not found